"""Add comics

Revision ID: b78b1fff9974
Revises: d292d48ec74e
Create Date: 2025-05-04 23:45:52.733301

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = 'b78b1fff9974'
down_revision: Union[str, None] = 'd292d48ec74e'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('comic',
    sa.Column('id', sa.BigInteger(), nullable=False),
    sa.Column('title', sa.Text(), nullable=True),
    sa.Column('author', sa.Text(), nullable=True),
    sa.Column('published', sa.DateTime(timezone=True), nullable=True),
    sa.Column('volume', sa.Text(), nullable=True),
    sa.Column('issue', sa.Text(), nullable=True),
    sa.Column('page', sa.Integer(), nullable=True),
    sa.Column('url', sa.Text(), nullable=True),
    sa.ForeignKeyConstraint(['id'], ['source_item.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index('comic_author_idx', 'comic', ['author'], unique=False)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index('comic_author_idx', table_name='comic')
    op.drop_table('comic')
    # ### end Alembic commands ### 